Send call permission request
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/whatsapp/call/send_approval \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "32d8fc98-be1e-4d32-a12e-146f397fb1cb",
"phoneNumber": "+1234567890"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/whatsapp/call/send_approval"
payload = {
"agentId": "32d8fc98-be1e-4d32-a12e-146f397fb1cb",
"phoneNumber": "+1234567890"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({agentId: '32d8fc98-be1e-4d32-a12e-146f397fb1cb', phoneNumber: '+1234567890'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/whatsapp/call/send_approval', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
WhatsApp Calling
Send call permission request
Sends a WhatsApp call permission request to a contact before placing a WhatsApp voice call. The contact receives an interactive approval message and can accept or reject calling permission. Use this when POST /api/v1/whatsapp/call returns no_permission. Requests are rate-limited to 1 per day and 2 per week per contact.
POST
/
api
/
v1
/
whatsapp
/
call
/
send_approval
Send call permission request
⌘I